implicit real*8(a-h,o-z)
dsigma=1.0*9.8/(5.d-3*19.5d-3) !重り1つ(N)/断面積(m**2)
do i=1,18 !0kgfから1kgfずつ30秒の載荷が18段階
 do j=1,15 !安定していない15秒までは捨てる
 read*,gomi
 end do
 !
 goukei=0.
 do j=16,25 !比較的安定している16秒から25秒のデータを採用
 read*, hizumi 
  hizumi=hizumi*1.d-6 !ひずみのμをはずす
  goukei=goukei+hizumi
 end do
 ! 18段階の応力(MPa), ひずみ(μ)
 print*, goukei/10*1.d6, (i-1)*dsigma/1.d6
 !
 do j=26,30 !次の重りを早めに載せたかもしれないので、26秒以降も捨てる
 read*,gomi
 end do
end do
end
